%define module  Data-FormValidator
%define name    perl-%{module}
%define version 4.50
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Validates user input based on input profile
License:        Artistic/GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(File::MMagic)
BuildRequires:  perl(Image::Size)
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(CGI)
BuildRequires:  perl(MIME::Types)
BuildArch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format. Data::FormValidator lets you define profiles which declare the
required and optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing and
invalid results, return error messages about which constraints failed, or
process the resulting valid data.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%buildroot

%files
%defattr(-,root,root)
%doc README RELEASE_NOTES
%{perl_vendorlib}/Data
%{_mandir}/*/*

%clean
rm -rf %{buildroot}


%changelog
* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 4.50-1mdv2007.0
+ Revision: 93913
- 4.50
- buidrequires
- bump release to please upload system
- fix buildrequires
- 4.40
- Import perl-Data-FormValidator



* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.30-1mdv2007.0
- New version 4.30

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.20-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupdate aware

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.14-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.14-1mdk
- First Mandriva release
